/*!\file ConfigureObjectsx
 * \brief: configure objects in elements and loads to link in with nodes
 */

#include "./ConfigureObjectsx.h"

#include "../shared/shared.h"
#include "../include/macros.h"
#include "../toolkits/toolkits.h"
#include "../EnumDefinitions/EnumDefinitions.h"

int	ConfigureObjectsx( DataSet* elements, DataSet* loads, DataSet* nodes,DataSet* materials,DataSet* parameters){

	int noerr=1;
	int i;

	extern int num_procs;
	extern int my_rank;
	
	/*intermediary: */


	elements->Configure(elements,loads,nodes,materials,parameters);
	loads->Configure(elements,loads,nodes,materials,parameters);
	nodes->Configure(elements,loads,nodes,materials,parameters);
	parameters->Configure(elements,loads, nodes, materials,parameters);

	return noerr;
}
