/*! \file CreateLoadsDiagnosticHutter.c:
 */


#include "../../DataSet/DataSet.h"
#include "../../toolkits/toolkits.h"
#include "../../EnumDefinitions/EnumDefinitions.h"
#include "../../objects/objects.h"
#include "../../shared/shared.h"
#include "../../include/macros.h"
#include "../IoModel.h"


void	CreateLoadsDiagnosticHutter(DataSet** ploads, IoModel* iomodel,ConstDataHandle iomodel_handle){

	DataSet*    loads    = NULL;

	/*Create loads: */
	loads   = new DataSet(LoadsEnum());

	/*Now, is the flag ishutter on? otherwise, do nothing: */
	if (!iomodel->ishutter)goto cleanup_and_return;

	cleanup_and_return:
	
	/*Assign output pointer: */
	*ploads=loads;

}
