/*!\file:  pfclose.cpp
 * \brief fclose wrapper for parallel solution
 */ 

#ifdef HAVE_CONFIG_H
	#include "config.h"
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include "stdio.h"
#include "../shared/shared.h"
#include "../include/macros.h"

void pfclose(FILE* fid,char* filename){

	/*Close file handle: */
	extern int my_rank;
	if(my_rank==0){
		if(fclose(fid)!=0)ISSMERROR(exprintf("%s%s","could not close file ",filename));
	}
}

